Squid Issue, Etch and a 2.4 Kernel

From Wiki

Revision as of 10:28, 13 April 2007 by Admin (Talk | contribs)
(diff) ← Older revision | Current revision (diff) | Newer revision → (diff)
Jump to: navigation, search

The latest version of Squid Proxy in Etch requires a 2.6 kernel. Debian no longer support 2.4 kernels. For a some reason, VMware workstation will not accept any 2.6kernel.

Diagnosis

Squid would not start. Looking in /var/log/syslog showed:

Apr 12 23:36:36 kartbuilding squid[27092]: Squid Parent: child process 27098 started
Apr 12 23:36:36 kartbuilding (squid): comm_select_init: epoll_create(): (38) Function not implemented
Apr 12 23:36:36 kartbuilding squid[27092]: Squid Parent: child process 27098 exited due to signal 6

Doing a google led me to this page ( http://comments.gmane.org/gmane.linux.debian.devel.bugs.general/121631 ) where it was explained that epoll() was only in the 2.6 kernel.

Workaround

As much as I tried to get this VMware machine to load a 2.6 kernel it wouldnt. So I removed squid and installed it from a sarge deb.

apt-get remove squid
apt-get remove squid-common
cp /etc/squid/squid.conf /root/
dpkg -P squid
dpkg -P squid-common
cd /root
wget http://security.debian.org/debian-security/pool/updates/main/s/squid/squid-common_2.5.9-10sarge2_all.deb
wget http://security.debian.org/debian-security/pool/updates/main/s/squid/squid_2.5.9-10sarge2_i386.deb
dpkg -i squid-common_2.5.9-10sarge2_all.deb squid_2.5.9-10sarge2_i386.deb
cp /root/squid.conf /etc/squid/

That solved it and got squid back working.

Personal tools